Buf(1)

NAME
buf-beta-registry-webhook-create - Create a repository webhook

SYNOPSIS
buf beta registry webhook create [flags]

DESCRIPTION
Create a repository webhook

OPTIONS
--callback-url=""
    The url for the webhook to callback to on a given event

--event=""
    The event type to create a webhook for. The proto enum string value is used for this input (e.g. 'WEBHOOK_EVENT_REPOSITORY_PUSH')

-h, --help[=false]
    help for create

--owner=""
    The owner name of the repository to create a webhook for

--remote=""
    The remote of the repository the created webhook will belong to

--repository=""
    The repository name to create a webhook for

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-beta-registry-webhook(1)

HISTORY
17-Jan-2025 Auto generated by spf13/cobra